<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * Tags Class
 *
 * Classe de fonctions pour gérer les tags
 *
 * @package		Maxcom
 * @category	Controler
 * @author		Maxcom Development Team
 * @link				
 */


class Tags extends CI_Controller {
	
	/**
	 * Récupère l'ensemble des tags pour un espace utilisateur donné 
	 * et les retourne au format json (appelé dans l'édition de fiche)
	 */
	function get_all() {
		if ($this->maxcomutils->checkSession()) {
			$this->load->model('taxonomy');
			$space_id = $this->session->userdata('space_id');
		
			$tags = $this->taxonomy->get_tags($space_id);
			foreach ($tags as $tag) {
				$result[] = $tag['name'];
			}
			echo json_encode($result);
		}
	}
}
