<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes présentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * 
 *
 * Page de mise à jour des categories
 *
 * @package		Maxcom
 * @category	View
 * @author		Maxcom Development Team
 * @link		
 */
?>
<div id="content">
<div id="page-heading">
	<?php if ($update) : ?>
		<h1>Modifier la catégorie: </h1>
	<?php else : ?>
		<h1>Nouvelle catégorie</h1>
	<?php endif ?>
</div>
        <table border="0" width="100%" cellpadding="0" cellspacing="0" id="content-table">
	        <tr>
		        <th rowspan="3" class="sized"><?php echo '<img src="'.base_url() ?>/styles/images/shared/side_shadowleft.jpg" width="20" height="300" alt="" /></th>
		        <th class="topleft"></th>
		        <td id="tbl-border-top">&nbsp;</td>
		        <th class="topright"></th>
		        <th rowspan="3" class="sized"><?php echo '<img src="'.base_url() ?>/styles/images/shared/side_shadowright.jpg" width="20" height="300" alt="" /></th>
	        </tr>
	        <tr>
		        <td id="tbl-border-left"></td>
		        <td>
		        
		        <!--  start content-table-inner -->
		        <div id="content-table-inner">
		        	<?php if ( $error == "Image_upload" ) { ?>	
   		        	<!--  start message-red -->
					<div id="message-red">
					<table border="0" width="100%" cellpadding="0" cellspacing="0">
					<tr>
						<td class="red-left">Erreur lors du chargement de l'image, veuillez réessayer</td>
						<td class="red-right"><a class="close-red"><?php echo '<img src="'.base_url() ?>/styles/images/table/icon_close_red.gif"   alt="" /></a></td>
					</tr>
					</table>
					</div>
					<?php } ?>
									        
		        <table border="0" width="100%" cellpadding="0" cellspacing="0">
		        <tr valign="top">
		        	<td>
		        <?php echo validation_errors(); ?><!-- Mon Code pour validation du formulaire -->
		        <!-- start id-form -->
		        <?php echo form_open_multipart('categoryadmin/'.($update ? 'update/'.$category_id: 'add')); ?>
		        <table border="0" cellpadding="0" cellspacing="0"  id="id-form">
				<tr>
        			<th valign="top">Nom:</th>
        			<td><input type="text" class="inp-form" name="name" value="<?php echo ($update ? $category_name : '');?>" required autofocus placeholder="Nom de la catégorie" /></td>
		        	<td></td>
		        </tr>
		        <tr>
        			<th valign="top">Catégorie parente:</th>
        			<td><select class="styledselect_form_1" name="parent">
			        	<option value="0">Aucune</option>
			      		<?php foreach ( $categories as $catparent ) :
			            	if ( $catparent->id == $category_parent) : ?>    
			             <option selected value="<?php echo $catparent->id; ?>"><?php echo $catparent->name; ?></option> 
			            <?php else: ?>
			             <option value="<?php echo $catparent->id; ?>"><?php echo $catparent->name; ?></option> 
			            <?php endif;
			            	endforeach; ?>
			        </select></td>
		        	<td></td>		        
        		</tr>
		        <tr>
        			<th valign="top">Importance:</th>
        			<td><div id="slider"></div></td>
		        	<td><div class="bubble-left"></div>
		        	<input class="bubble-inner" type="text" id="rank" name="rank" style="border:0;" />
		        	<div class="bubble-right"></td>		        
		        </tr>
		        <tr>
        			<th valign="top">Image:</th>
        			<td><?php if (!empty($category_image)) 
		           		echo '<a href="'.base_url().'uploads/images/categories/'.$category_image.'" class="view_image" title="'.$category_name.'"><img src="'.base_url().'uploads/images/thumbnails/'.$category_image.'" alt="'.$category_name.'" title="'.$category_name.'"/></a>'; ?>
		    		<br>
		            <input type="file" name="image" /></td>
		        	<td><div class="bubble-left"></div>
        				<div class="bubble-inner">Image au format .jpg, .png ou .gif</div>
        				<div class="bubble-right"></div>
        			</td>
		        </tr>
		        <tr>
			        <th>&nbsp;</th>
			        <td valign="top">
			        <input type="submit" value="<?php echo ($update ? 'Mettre a jour' : 'Ajouter'); ?>" class="button blue" />
			        <input type="button" value="  Annuler  " onclick="<?= 'location.href=\''.base_url().index_page().'/categoryadmin\'' ?>" class="button white"  />
			        </td>
			        <td></td>
		        </tr>					    

		        <?php echo form_close() ?>
        </table>
        <!-- end id-form  -->
        
        	</td>
        <td>
        
        <!--  start related-activities -->
        	<div id="related-activities">
        
        <!--  start related-act-top -->
        <div id="related-act-top">
        À propos
        </div>
        <!-- end related-act-top -->
        
        <!--  start related-act-bottom -->
        <div id="related-act-bottom">
        
        <!--  start related-act-inner -->
        			<div id="related-act-inner">
        	
        <div class="left"><a href=""><?php echo '<img src="'.base_url() ?>styles/images/forms/icon_plus.gif" width="21" height="21" alt="" /></a></div>
        <div class="right">
        <h5>Ajouter une catégorie</h5>
        Pour ajouter une catégorie, penses à compléter toutes les infos.
        </div>
        
        <div class="clear"></div>
        <div class="lines-dotted-short"></div>
        
        <div class="left"><a href=""><?php echo '<img src="'.base_url() ?>styles/images/forms/icon_edit.gif" width="21" height="21" alt="" /></a></div>
        <div class="right">
        <h5>Images</h5>
        Les images de type .jpg, .png et .gif sont autorisées.
        </div>
        <div class="clear"></div>
        				
        </div>
        <!-- end related-act-inner -->
        			<div class="clear"></div>
        
        		</div>
        <!-- end related-act-bottom -->
        
        </div>
        <!-- end related-activities -->
        
        </td>
        </tr>
        <tr>
        <td><?php echo '<img src="'.base_url() ?>styles/images/shared/blank.gif" width="695" height="1" alt="blank" /></td>
        <td></td>
        </tr>
        </table>
        
        <div class="clear"></div>
        
        
        </div>
        <!--  end content-table-inner  -->
        </td>
        <td id="tbl-border-right"></td>
        </tr>
        <tr>
        	<th class="sized bottomleft"></th>
        <td id="tbl-border-bottom">&nbsp;</td>
        <th class="sized bottomright"></th>
        </tr>
        </table>

        <div class="clear">&nbsp;</div>

<script type="text/javascript">
$(function() {
	$( "#slider" ).slider({
		value:<?php echo ($update ? $category_rank : 5);?>,
		min: 0,
		max: 10,
		step: 1,
		slide: function( event, ui ) {
			$( "#rank" ).val( ui.value );
		}
	});
	$( "#rank" ).val( $( "#slider" ).slider( "value" ) );
});

$(document).ready(function() {
	$("a.view_image").fancybox();	
});
</script>        
