<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes présentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * 
 *
 * Page principale
 *
 * @package		Maxcom
 * @category	View
 * @author		Maxcom Development Team
 * @link		
 */

?>


<!-- Affichage du slider qui apparait en haut de page -->
<div id="mcs5_container">
<div class="customScrollBox">
<!-- horWrapper div is important for horizontal scrollers! -->
<div class="horWrapper"> 
<div class="container">
<div class="content">
	<p><?php 
	if ( ! empty($categories) ) :
		foreach( $categories as $category ) : 
			if ($category->parent_id == 0):
				$image_properties = array(
				  'src' => 'uploads/images/thumbnails/'.$category->image,
				  'title' => $category->name,
				  'rel' => 'lightbox',
				    	);
				if ( $category->id == $selected_category ) {
					$image_properties['class'] = 'selected';
				}
				?>
				<a href="<?php echo base_url().index_page().'/home/categoryfilter/'.$category->id; ?>">
				<?php echo img($image_properties); ?>
				</a>
			<?php
			endif;
		endforeach;
		else:
		echo "<h1>Aucune catégorie n'a été définie pour l'instant</h1>";
	endif;
	?></p>
</div>
</div>
</div>
<div class="dragger_container">
<div class="dragger"></div>
</div>
</div>
</div>

<div id="sheets">
<?php 
if ( ! empty($category_sheets) && $action == "show_category" ) :
	foreach( $category_sheets as $category_sheet ) : 
	
	$image_properties = array(
          'src' => 'uploads/images/thumbnails/'.$category_sheet->image,
          'class' => 'post_images',
          'title' => $category_sheet->name,
          'rel' => 'lightbox',
	);
	?>
    <a class="iframe" href="<?php echo site_url('home/display_sheet/'.$category_sheet->id); ?>" title="<?php echo $category_sheet->name; ?>">
	<?php echo img($image_properties); ?>
    </a>
	<?php
	endforeach;
elseif ( empty($category_sheets) && $action == "show_home" ) :
	echo '<h1>Veuillez choisir une catégorie pour afficher des images!</h1>';
else:
	echo '<h1>Aucune image définie dans cette catégorie</h1>';
endif;
?>
</div>


</div>

<div id="mcs6_container">
	<div class="customScrollBox">
		<!-- horWrapper div is important for horizontal scrollers! -->
		<div class="horWrapper"> 
			<div class="container">
    				<div class="content">
            				<p><?php 
					    	if ( ! empty($favorite_sheets) ) :
								foreach( $favorite_sheets as $favorite_sheet ) : 
							?>
						    <a class="iframe" href="<?php echo site_url('home/display_sheet/'.$favorite_sheet->id); ?>" title="<?php echo $favorite_sheet->name; ?>">
							<?php echo '<img src="'.base_url().'uploads/images/thumbnails/'.$favorite_sheet->image.'" alt="'.$favorite_sheet->name.'" title="'.$favorite_sheet->name.'"/>'; ?>
						    </a>
							<?php
								endforeach;
					    	else:
								echo '<h1>Aucune image principale définie</h1>';
					    	endif;
					?></p>
				</div>
			</div>
		</div>
		<div class="dragger_container">
    			<div class="dragger"></div>
		</div>
	</div>
</div>

<link href="<?php echo base_url('styles/scrollbar/jquery.mCustomScrollbar.css') ?>" rel="stylesheet" type="text/css" />
<script src="<?php echo base_url('scripts/jquery/custom-scrollbar.js') ?>"></script>
<script src="<?php echo base_url('scripts/home.js') ?>" type="text/javascript"></script>
