<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes présentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * 
 *
 * Page d'accueil de l'administration
 *
 * @package		Maxcom
 * @category	View
 * @author		Maxcom Development Team
 * @link		
 */
?>
<div id="content">
<div id="page-heading">
<h1>Dernière synchro mobile: <?php echo $last_sync; ?></h1>
</div>
	<div id="widget-area">
		<div class="widget">
			<h1>News</h1>
			<div class="content">
				<ul id="news-twitter"></ul>
			</div>
		</div>

		<div class="widget">
			<h1>Fiches</h1>
			<div class="content">
				<ul>
					<li id="img-fiches"></li>
					<li>Les 10 dernières modifications:
						<ul>
							<?php foreach($ten_last_sheets as $last_sheet){
								echo "<li class='sub'><a href='".site_url("sheetadmin/ui_update/$last_sheet[id]")."'>$last_sheet[name]</a> par $last_sheet[author_name]</li>";
							} ?>
						</ul>
					</li>
				</ul>
			</div>
		</div>
		
		<div class="widget">
			<h1>Catégories</h1>
			<div class="content">
				<ul>
					<li id="img-categories"></li>
					<li>Les 10 dernières modifications:
						<ul>
							<?php foreach($ten_last_cats as $last_cat){
								echo "<li class='sub'><a href='".site_url("sheetadmin/ui_update/$last_cat[id]")."'>$last_cat[name]</a> par $last_cat[author_name]</li>";
							} ?>
						</ul>
					</li>
				</ul>
			</div>
		</div>
		
		<div class="widget">
			<h1>Utilisateurs</h1>
			<div class="content">
				<ul>
					<li id="img-utilisateurs"></li>
					<li>Nom des administrateurs: 
						<ul>
							<?php foreach ($contacts as $contact) {
								echo "<li class='sub'>
										<a href='".site_url('/useradmin/infos/'.$contact['id'])."' class='iframe'>".$contact['firstname']." ".$contact['lastname']."</a>
									 </li>";
							} ?>
						</ul>
					</li>
				</ul>
			</div>
		</div>
</div>
</div>

<!--  end content -->
<div class="clear"></div>
</div>
<!--  end content-outer -->

<div class="clear"></div>

<script type="text/javascript">
$(document).ready(function(){
	$("#news-twitter").load("<?php echo site_url('admin/getTwitterNews'); ?>");
	$("#img-fiches").load("<?php echo site_url('admin/single_chart/sheet/3072F3'); ?>");
	$("#img-categories").load("<?php echo site_url('admin/single_chart/category/FF9900'); ?>");
	$("#img-utilisateurs").load("<?php echo site_url('admin/single_chart/user/990066'); ?>");
});
</script>
