<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes présentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * 
 *
 * Page principale de gestion des fiches
 *
 * @package		Maxcom
 * @category	View
 * @author		Maxcom Development Team
 * @link		
 */
?>
<div id="content">
<table border="0" width="100%" cellpadding="0" cellspacing="0" id="content-table">
<div id="page-heading">
	<?php if ($action == 'search') : ?>
		<h1>Résultats de recherche pour "<?php echo $keyword; ?>": </h1>
	<?php elseif ($action == 'filter') : ?>
                        <h1>Fiches dans la catégorie "<?php echo $keyword; ?>": </h1>
	<?php endif ?>
</div>
	<tr>
		<th rowspan="3" class="sized"><?php echo '<img src="'.base_url() ?>/styles/images/shared/side_shadowleft.jpg" width="20" height="300" alt="" /></th>
		<th class="topleft"></th>
		<td id="tbl-border-top">&nbsp;</td>
		<th class="topright"></th>
		<th rowspan="3" class="sized"><?php echo '<img src="'.base_url() ?>/styles/images/shared/side_shadowright.jpg" width="20" height="300" alt="" /></th>
	</tr>
	<tr>
		<td id="tbl-border-left"></td>
		<td>
		<!--  start content-table-inner ...................................................................... START -->
		<div id="content-table-inner">
		
			<!--  start table-content  -->
			<div id="table-content">		 
				<!--  start product-table ..................................................................................... -->

<table border="0" width="100%" cellpadding="0" cellspacing="0" id="product-table">
<?php if ( ! empty($sheets) ) : ?>
<thead>
<tr>
	<th>Image</th>
	<th>Description</th>
	<th>Catégorie</th>
	<th>Statut</th>
	<th>Principale</th>					
	<th>Auteur</th>
	<th>Priorite</th>
	<th>Actions</th>
	
</tr>
</thead>
<tbody>
<?php 
$statut = array('Non Publiée', 'Publiée', 'Publiée et partagée');
$favoris = array('Non','Oui');
foreach ( $sheets as $sheet ) :

?>
<tr>
	<td><?php echo '<a href="'.site_url('home/display_sheet/'.$sheet->id).'" class="iframe" title="'.$sheet->name.'"><img src="'.base_url().'/uploads/images/thumbnails/'.$sheet->image.'" alt="'.$sheet->name.'" title="'.$sheet->name.'"/></a>'; ?></td>
	<td><?php echo ucwords($sheet->name); ?></td>
	<td><a class="info-tooltip" title="Voir les fiches de la catégorie <?php echo $sheet->category_name; ?>" href="<?php echo base_url().index_page().'/sheetadmin/categoryfilter/'.$sheet->category_id; ?>"><?php echo $sheet->category_name; ?></a></td>
	<td><?php echo $statut[$sheet->status]; ?></td>
	<td><?php echo $favoris[$sheet->favorite]; ?></td>
	<td><?php echo $sheet->author_name." ".$sheet->author_lastname; ?></td>
	<td><?php echo $sheet->note; ?></td>
	<td>
		<?php if ($this->session->userdata('user_space_role') == "administrateur"
		|| $this->session->userdata('user_space_role') == "redacteur" 
		&& $this->session->userdata('user_id') == $sheet->author_id) { ?>
		<a href="<?php echo base_url().index_page().'/sheetadmin/ui_update/'.$sheet->id; ?>" title="Modifier" class="icon-1 info-tooltip"></a>
		<a href="<?php echo base_url().index_page().'/sheetadmin/delete/'.$sheet->id; ?>" onclick="return confirm('Êtes-vous sûr(e) de vouloir supprimer cette feuille ?');" title="Supprimer" class="icon-2 info-tooltip"></a>
		<?php } ?>
	</td>
</tr>
<?php endforeach; ?>
</tbody>

<?php elseif ($action == 'search') : ?>
<p>Pas de résultats pour la recherche sur cette fiche...</p>
<?php elseif ($action == 'filter') : ?>
<p>Cette catégorie ne contient pas de fiche</p>
<?php else : ?>
<p>Aucune fiche n'est définie dans l'application, cliquez sur ce lien pour <a href="<?php echo site_url('sheetadmin/ui_add'); ?>"><u>ajouter une nouvelle catégorie</u></a>.</p>
<?php endif; ?>
</table>
				<!--  end product-table................................... --> 

			</div>
			<!--  end content-table  -->
			
			<div class="clear"></div>
		 
		</div>
		<!--  end content-table-inner ............................................END  -->
		</td>
		<td id="tbl-border-right"></td>
	</tr>
	<tr>
		<th class="sized bottomleft"></th>
		<td id="tbl-border-bottom">&nbsp;</td>
		<th class="sized bottomright"></th>
	</tr>
	
	
	</table>
	</div>
<!--  end content -->
<div class="clear"></div>
</div>
<!--  end content-outer -->

<script type="text/javascript" src="<?php echo base_url('scripts/jquery/jquery.dataTables.min.js')?>"></script>
<script type="text/javascript" src="<?php echo base_url('scripts/main-sheet.js') ?>"></script>
