<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes présentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * 
 *
 * Page principale de gestion des utilisateurs
 *
 * @package		Maxcom
 * @category	View
 * @author		Maxcom Development Team
 * @link		
 */
?>
<div id="content">

<div id="page-heading">
	<?php if ($action == 'search') : ?>
		<h1>Résultats de recherche pour "<?php echo $keyword; ?>": </h1>
	<?php endif ?>
</div>
<table border="0" width="100%" cellpadding="0" cellspacing="0" id="content-table">

<tr>
<th rowspan="3" class="sized"><?php echo '<img src="'.base_url() ?>/styles/images/shared/side_shadowleft.jpg" width="20" height="300" alt="" /></th>
		<th class="topleft"></th>
		<td id="tbl-border-top">&nbsp;</td>
		<th class="topright"></th>
		<th rowspan="3" class="sized"><?php echo '<img src="'.base_url() ?>/styles/images/shared/side_shadowright.jpg" width="20" height="300" alt="" /></th>
	</tr>
	<tr>
		<td id="tbl-border-left"></td>
		<td>
		<!--  start content-table-inner ...................................................................... START -->
		<div id="content-table-inner">
		
			<!--  start table-content  -->
			<div id="table-content">	
				 
				<!--  start product-table ..................................................................................... -->
				
<table border="0" width="100%" cellpadding="0" cellspacing="0" id="product-table">
<?php if ( !empty($users) ) : ?>
	<thead>
	<tr>
		<th>Nom</th>
		<th>Rôle</th>
		<th>Actions</th>
	</tr>
	</thead>
	<tbody>
	<?php foreach ( $users as $user ) : ?>
	<tr>
		<td><?php echo $user->lastname." ".$user->firstname; ?></td>
		<td><?php echo ucwords($user->space_role); ?></td>
		<td>
			<?php if ($this->session->userdata('user_space_role') == "administrateur"
			|| ($this->session->userdata('user_space_role') == "redacteur" 
			&& $this->session->userdata('user_id') == $user->id)) { ?>
				<a href="<?php echo base_url().index_page().'/useradmin/ui_update/'.$user->id; ?>" title="Modifier" class="icon-1 info-tooltip"></a>
				<?php if($this->session->userdata('user_id') != $user->id && $user->id != 1) { ?><a href="<?php echo base_url().index_page().'/useradmin/delete/'.$user->id; ?>" onclick="return confirm('Êtes-vous sûr(e) de vouloir supprimer cet utilisateur ?');" title="Supprimer" class="icon-2 info-tooltip"></a>
				<?php } ?>
			<?php } ?>
		</td>
	</tr>
	<?php endforeach; ?>
	</tbody>
<?php else: ?>
<p>La recherche n'a retourné aucun résultat. </p>
<?php endif; ?>
</table>
				
			</div>
			<!--  end content-table  -->
			
			<div class="clear"></div>
		 
		</div>
		<!--  end content-table-inner ............................................END  -->
		</td>
		<td id="tbl-border-right"></td>
	</tr>
	<tr>
		<th class="sized bottomleft"></th>
		<td id="tbl-border-bottom">&nbsp;</td>
		<th class="sized bottomright"></th>
	</tr>
	
	</table>
	</div>
<!--  end content -->
<div class="clear"></div>
</div>
<!--  end content-outer -->

<script type="text/javascript" src="<?php echo base_url('scripts/jquery/jquery.dataTables.min.js')?>"></script>
<script type="text/javascript" src="<?php echo base_url('scripts/main-user.js')?>"></script>
