<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes présentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * 
 *
 * Page HowTo Mobile
 *
 * @package		Maxcom
 * @category	View
 * @author		Maxcom Development Team
 * @link		
 */
?>
<div id="content">
<div id="page-heading"></div>
<table border="0" width="100%" cellpadding="0" cellspacing="0" id="content-table">

<tr>
<th rowspan="3" class="sized"><?php echo '<img src="'.base_url('/styles/images/shared/side_shadowleft.jpg') ?>" width="20" height="300" alt="" /></th>
		<th class="topleft"></th>
		<td id="tbl-border-top">&nbsp;</td>
		<th class="topright"></th>
		<th rowspan="3" class="sized"><?php echo '<img src="'.base_url('/styles/images/shared/side_shadowright.jpg') ?>" width="20" height="300" alt="" /></th>
	</tr>
	<tr>
		<td id="tbl-border-left"></td>
		<td>
		<div id="content-table-inner">
		
			<!--  start table-content  -->
			<div id="table-content">	
<h1>Installation de l'application: </h1>
<h2>À partir du QR-Code: </h2>
<p>Avec votre smartphone Android, scannez le code barre 2D suivant (en utilisant un logiciel comme <a href="https://market.android.com/details?id=com.google.zxing.client.android&feature=search_result#?t=W251bGwsMSwxLDEsImNvbS5nb29nbGUuenhpbmcuY2xpZW50LmFuZHJvaWQiXQ.." target="blank">Zxing</a>)</p>
<p>Attention, votre smartphone doit être connecté à internet.</p>
<?php echo '<img src="'.base_url('/styles/images/qrcode.png') ?>" />
<p>Vous n'avez plus qu'à installer le logiciel et passer à la configuration</p>
<p>Vous pouvez également faire une recherche dans l'Android Market sur le nom "Max'Com" si vous ne souhaitez pas utiliser un scanner de code barre</p>

<h1>Configuration: </h1>
<p>Veuillez configurer votre mobile android avec les paramètres suivants:</p>
<table border="0" cellpadding="1" cellspacing="5" class="screenshot" style="height: 587px; width: 480px; background-image:url('<?php echo base_url(); ?>/styles/images/mobile-screenshot.png'); background-repeat:no-repeat; ">
	<tbody>
		<tr>
			<td></td>
		</tr>
		<tr>
			<td><?php echo substr(base_url(), 0, -1); ?></td>
		</tr>
		<tr>
			<td><?php echo $mobile_user['login']; ?></td>
		</tr>
		<tr>
			<td>Mot de passe reçu par mail 
			<?php if ($this->session->userdata('user_space_role') == "administrateur") { ?>
				<a href="<?php echo site_url('/useradmin/ui_update/').'/'.$mobile_user['id']; ?>" >(Modifier)</a>
			<?php } ?>
		</tr>
		<tr>
			<td>À vous de définir ce code</td>
		</tr>
		<tr>
			<td></td>
		</tr>
	</tbody>
</table>
			

			</div>
			<!--  end content-table  -->
		
		<div class="clear"></div>
	 
	</div>
	<!--  end content-table-inner ............................................END  -->
	</td>
	<td id="tbl-border-right"></td>
</tr>
<tr>
	<th class="sized bottomleft"></th>
	<td id="tbl-border-bottom">&nbsp;</td>
	<th class="sized bottomright"></th>
</tr>

</table>
	
</div>
</div>

<!--  end content -->
<div class="clear"></div>
</div>
<!--  end content-outer -->

<div class="clear"></div>

