<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes présentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * Page de création d'un espace
 *
 * Gere les utilisateurs dans la base de données
 *
 * @package		Maxcom
 * @category	View
 * @author		Maxcom Development Team
 * @link		
 */
?>

<div id="content">
<h3>Créer un nouvel espace Max'Com</h3>
<?php if(isset($erreur)):?>
	<h3><?php echo $erreur; ?></h3>
<?php endif?>
<?php if(isset($erreur_login)&&$erreur_login):?><!-- affichage si l'utilisateur exite -->
	<h1 class="erreur">Cet utilisateur existe; veuillez choisir un autre identifiant (login)</h1>
<?php  endif?>

<script type="text/javascript">

$(document).ready(function(){
  $("#login").keyup(function(){
  $.get('<?php echo site_url("register/checkUser")."/"; ?>'+$("#login").val(), function(result){
		 if(result!=""){
			 $("div#loginE").html('<span style="color:#cc0000"><b>'+$("#login").val()+' :</b> ce login est deja pris</span>'); 
		 }else{
			 $("div#loginE").html('<span style="color:#1A7917"><b>'+$("#login").val()+' :</b> ce login est libre</span>'); 
		 }
   });
  });
});
</script>

<table border="0" width="100%" cellpadding="0" cellspacing="0" id="content-table">
	        <tr>
		        <th rowspan="3" class="sized"><?php echo '<img src="'.base_url() ?>/styles/images/shared/side_shadowleft.jpg" width="20" height="300" alt="" /></th>
		        <th class="topleft"></th>
		        <td id="tbl-border-top">&nbsp;</td>
		        <th class="topright"></th>
		        <th rowspan="3" class="sized"><?php echo '<img src="'.base_url() ?>/styles/images/shared/side_shadowright.jpg" width="20" height="300" alt="" /></th>
	        </tr>
	        <tr>
		        <td id="tbl-border-left"></td>
		        <td>
		        
		        <!--  start content-table-inner -->
		        <div id="content-table-inner">
		        <table border="0" width="100%" cellpadding="0" cellspacing="0">
		        <tr valign="top">
		        	<td>
		        
		        <!-- start id-form -->

		       	<?php $attributes = array('class' => 'mail', 'id' => 'myForm');
				echo form_open('register/create', $attributes) ?>
		        <table border="0" cellpadding="0" cellspacing="0"  id="id-form">
				<tr>
        			<th valign="top">Login:</th>
        			<td>
        				<input type="text" class="inp-form" id="login" name="login" value="<?php echo (($login!='') ? $login : '');?>" maxlength="32" required autofocus placeholder="Login" />
        				<div id="loginE"></div>
        			</td>
		        	<td><div class="bubble-left"></div>
        				<div class="bubble-inner">Nom d'utilisateur</div>
        				<div class="bubble-right"></div>
        			</td>
		        </tr>
		        <!-- longeur mot de passe -->
        		<?php if(form_error('password')!=""):?>
        		<tr>
        			<th valign="top"></th>
        			<td>
        			<div class="classerreur">
				        <div class="bubble-left"></div>
		        		<div class="bubble-inner erreur"><?php echo form_error('password'); ?></div>
		        		<div class="bubble-right"></div>
	        		</div>
	        		</td>
	        		<td></td>
	        	</tr>
	        	<?php endif;?>
		        
		        <tr>
        			<th valign="top">Mot de passe:</th>
        			<td><input type="password" class="inp-form" name="password" maxlength="32" id="chp1" placeholder="**********"/></td>
		        	<td>
		        		<div class="bubble-left password"></div>
        				<div class="bubble-inner password">Longueur minimum: 6 caractères</div>
        				<div class="bubble-right password"></div>
        				
        				<div class="bubble-left lengtherreur"></div>
        				<div class="bubble-inner lengtherreur">Le mot de passe doit avoir au minimum 6 caractères</div>
        				<div class="bubble-right lengtherreur"></div>
        			</td>		        
        		</tr>
        		<!-- confirmation -->
        		<?php if(form_error('confirmpass')!=""):?>
	        		<tr>
	        			<th valign="top"></th>
	        			<td>
		        			<div class="classerreur">
						        <div class="bubble-left"></div>
				        		<div class="bubble-inner erreur"><?php echo form_error('confirmpass'); ?></div>
				        		<div class="bubble-right"></div>
			        		</div>
		        		</td>
		        		<td></td>
		        	</tr>
	        	<?php endif;?>
		        <tr>
        			<th valign="top">Confirmez:</th>
        			<td>
        				<input type="password" class="inp-form" name="confirmpass" maxlength="32" id="verif1" placeholder="**********"/>
        			</td>
		        	<td>
		        		<div class="bubble-left passworderreur"></div>
        				<div class="bubble-inner passworderreur">Le mot de passe est incorrecte</div>
        				<div class="bubble-right passworderreur"></div>
        				
		        		<div class="bubble-left passwordrepeat"></div>
        				<div class="bubble-inner passwordrepeat">Réécrivez votre mot de passe ici</div>
        				<div class="bubble-right passwordrepeat"></div>
        			</td>		        
		        </tr>
		        <tr>
        			<th valign="top">Prénom:</th>
        			<td><input type="text" class="inp-form" name="firstname" value="<?php echo (($firstname!='') ? $firstname : ''); ?>" required placeholder="Votre prénom" /></td>
		        	<td></td>
		        </tr>
		        <tr>
        			<th valign="top">Nom:</th>
        			<td><input type="text" class="inp-form" name="lastname" value="<?php echo (($lastname!='') ? $lastname : ''); ?>" required placeholder="Votre nom" /></td>
		        	<td></td>
		        </tr>
		          <!-- validation email -->
        		<?php if(form_error('mail')!=""):?>
		        	<tr>
		        		<th valign="top"></th>	
		        		<td>
	        				<div class="classerreur">
				        		<div class="bubble-left"></div>
		        				<div class="bubble-inner erreur"><?php echo form_error('mail'); ?></div>
		        				<div class="bubble-right"></div>
		        			</div>
		        		</td>
		        		<td></td>	        			
		        	</tr>
		        <?php endif;?>
		        <tr>
        			<th valign="top">Adresse mail:</th>
        			<td><input type="mail" class="inp-form" id="mail" name="mail" value="<?php echo (($mail!='') ? $mail : ''); ?>" required placeholder="Votre email"  /></td>
		        	<td>
		        		<div class="bubble-left mailerreur"></div>
        				<div class="bubble-inner mailerreur">Votre email est mal formé</div>
        				<div class="bubble-right mailerreur"></div>
		        	</td>
		        </tr>
		        <tr>
        			<th valign="top">Nom de l'espace:</th>
        			<td><input type="mail" class="inp-form" name="description" value="<?php echo (($description!='') ? $description : ''); ?>" required placeholder="Personne pour qui l'espace est créé" /></td>
		        	<td></td>
		        </tr>
		        <tr>
		        	<th valign="top">&nbsp;</th>
        			<td>
        				<div>
        					Recopiez le texte dans le champs
        				</div>
        			</td>
		        	<td></td>
		        </tr>
		        <tr>
		        	<th valign="top">
		        		<div>
		        			<?php echo (($cap!='') ? $cap : '');  ?>
		        		</div>
		        	</th>
        			<td><input type="text" class="inp-form" name="captcha" value="" required placeholder="" /></td>
		        	<td>
		        		<?php if(isset($erreur_cap)&&$erreur_cap):?>
        					<div class="bubble-left erreur"></div>
        					<div class="bubble-inner erreur">Vous avez mal recopier le texte</div>
        					<div class="bubble-right erreur"></div>
        				<?php endif;?>
		        	</td>
		        </tr>
		        <tr>
		        	<th valign="top">
		        	</th>
					<td valign="top">
					<input type="checkbox" class="checkbox-size" required name="condition" />
						<?php //TODO: Créer page de conditions générales et faire un lien ?>
						<label for="login-check">Conditions Générales</label>
					</td>		        	
					<td>
		        		
		        	</td>
		        </tr>
		        <tr>
			        <th>&nbsp;</th>
			        <td valign="top">
			        <input type="submit" value="Valider" class="button blue" />
			        <input type="button" value="  Annuler  " onclick="window.location = '<? echo base_url().index_page(); ?>'" class="button white"  />
			        </td>
			        <td></td>
		        </tr>					    

		        <?php echo form_close() ?>
        </table>
        <!-- end id-form  -->
        
        	</td>
        <td>
        
        <!--  start related-activities -->
        	<div id="related-activities">
        
        <!--  start related-act-top -->
        <div id="related-act-top">
        À propos
        </div>
        <!-- end related-act-top -->
        
        <!--  start related-act-bottom -->
        <div id="related-act-bottom">
        
        <!--  start related-act-inner -->
        			<div id="related-act-inner">
        	
        <div class="left"><a href=""><?php echo '<img src="'.base_url() ?>styles/images/forms/icon_plus.gif" width="21" height="21" alt="" /></a></div>
        				<div class="right">
        <h5>Créer un espace</h5>
        Pour créer un nouvel espace Max'Com, veuillez compléter le formulaire suivant. 
        Attention, tous les champs sont recquis.
        </div>
        <div class="clear"></div>
        				
        </div>
        <!-- end related-act-inner -->
        			<div class="clear"></div>
        
        		</div>
        <!-- end related-act-bottom -->
        
        </div>
        <!-- end related-activities -->
        
        </td>
        </tr>
        <tr>
        <td><?php echo '<img src="'.base_url() ?>styles/images/shared/blank.gif" width="695" height="1" alt="blank" /></td>
        <td></td>
        </tr>
        </table>
        
        <div class="clear"></div>
        
        
        </div>
        <!--  end content-table-inner  -->
        </td>
        <td id="tbl-border-right"></td>
        </tr>
        <tr>
        	<th class="sized bottomleft"></th>
        <td id="tbl-border-bottom">&nbsp;</td>
        <th class="sized bottomright"></th>
        </tr>
        </table>
        <div class="clear">&nbsp;</div>