<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * Footer
 *
 *
 * @package		Maxcom
 * @category	View
 * @author		Maxcom Development Team
 * @link				
 */
?>

<?php 
$this->load->helper('string');
$key = random_string('alnum',6);
?>
	<div id="footer-box">
		<div id="toggle"><img src="<? echo base_url(); ?>styles/images/shared/nav/bouton-admin.png"></div>
		<div id="footer">
			<ul>
				<?php if ( $this->session->userdata('user_id') ) { ?><li><?php echo img('styles/images/shared/nav/logout.png');?> - <a href="<?php echo site_url('/login/kill/'); ?>">Se déconnecter</a></li>
				<li><?php echo img('styles/images/shared/nav/bug.png');?> - <a href="<?php echo site_url('/admin/contact'); ?>" class="iframe-footer">Signaler un bug</a></li><?php } ?>
				<?php if (($user_space_role == "administrateur")||($user_space_role == "redacteur")) { ?>
				<li><?php echo img('styles/images/shared/nav/admin.png');?> - <a href="<?php echo base_url().index_page(); ?>/admin/">Administration</a></li>
				<?php } ?>
				<?php if ($this->session->userdata('user_id') == 1) { ?>
				<li><?php echo img('styles/images/shared/nav/admin.png');?> - <a href="<?php echo base_url().index_page(); ?>/superadmin/">SuperAdmin</a></li>
				<?php } ?>
				<li><a href="http://www.maxcom.fr">Max'Com</a> &copy; 2009-<?php echo date('Y'); ?></li>
			</ul>
		</div>
	</div>

<script src="<?php echo base_url('scripts/jquery/custom_jquery.js') ?>" type="text/javascript"></script>
<script src="<?php echo base_url('scripts/jquery/fancybox.js') ?>" type="text/javascript"></script>
<script src="<?php echo base_url('scripts/footer.js') ?>" type="text/javascript"></script>
</body>
</html>
