<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * Mobile Class
 *
 * Gestion de la configuration Mobile
 *
 * @package		Maxcom
 * @category	Controller
 * @author		Maxcom Development Team
 * @link		
 */

class Mobile extends CI_Controller
{
	
	/**
	 * Affiche la page principale
	 */
	function index() {
		if ($this->maxcomutils->checkSession()) {
			$space_id = $this->session->userdata('space_id');
			
			$users = $this->user->get_all($space_id);
			
			$view_data['mobile_user'] = $this->user->get_mobile_user($space_id);

			$this->maxcomutils->load_view('mobile-howto', $view_data);
		}
	}
	
	/**
	 * Affiche la page contenant tous les logs de synchro mobile pour l'espace donné 
	 */
	function loggingadmin() {
		if ($this->maxcomutils->checkSession()) {
			
		$this->load->model('dblogging');
		$records = $this->dblogging->get_all();
		$view_data['records'] = $records;
		$this->maxcomutils->load_view('main-logging', $view_data);
		}
	}
}
