<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * TestDB Class
 *
 * Realise les tests des modeles  
 *
 * @package		Maxcom
 * @category	Controler
 * @author		Maxcom Development Team
 * @link				
 */


class TestDB extends CI_Controller
{

	
	function user_exist() {
		
		$result = $this->user->exist('gva');
		$this->loadview($result);
	}
	
	
	function user_check() {
		
		$login = $this->db->escape('gva');
		$password = $this->db->escape(md5('maxcom'));
		
		$result = $this->user->check($login, $password);
		if (empty($result)) show_error("No id");
		$this->loadview($result);	
	}
	
	function user_getall() {
		$result = $this->user->get_all();
		$this->loadview($result);
	}
	
	function user_getallJson() {
		$result = $this->user->get_all();
		echo json_encode($result);
		//$this->loadview($result);
	}

	
	function user_count() {
		$result = $this->user->count(1);
		$this->loadview($result);
	}
	
	function user_delete() {
		$result = $this->user->delete(1);
		$this->loadview($result);
	}
	
	function space_getall() {
		$result = $this->space->get_all();
		$this->loadview($result);
	}
	
	function loadview($result) {
		$data = array();
		$data['result'] = $result;
		$this->load->view('testdb', $data);	
	}
	
	function testtag($tag,$space_id) {
		$this->load->model('taxonomy');
		$tag_id = $this->taxonomy->check_tag($tag, $space_id);
		echo $tag_id;
	}
}
