<?php

/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * Captcha Class
 *
 * Gere les captchas dans la base de donnees
 *
 * @package		Maxcom
 * @category	Model
 * @author		Maxcom Development Team
 * @link		
 */

class Captcha extends CI_Model
{
	function create($data){
		$query = $this->db->insert_string('captcha', $data);
		$this->db->query($query); 
	}
	
	function get($cap){
		$expiration = time()-7200;
		$this->db->where("captcha_time <",$expiration);
		$this->db->delete("captcha");
		
		$this->db->where("captcha_time >",$expiration);
		$this->db->where("word",$cap);
		
		
		$query = $this->db->get('captcha');
		
		return $this->db->count_all_results("captcha");

	}
}
?>