<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * Synchronized Class
 *
 * Factorise la fonctionnalit pour ajouter des actions de synchronisation d'entits
 *
 * @package		Maxcom
 * @category	Model
 * @author		Maxcom Development Team
 * @link		
 */

class SynchronizedEntity extends CI_Model {
	
	
	/**
	 * Ajoute une action de synchronisation relativement  un espace
	 * @param $space_id
	 * @param $query
	 */
	function log_dbaction($space_id, $query) {
		$this->load->model('dbaction');
		$this->dbaction->create($space_id, $query);
	}
}
?>
