<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes présentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * 
 *
 * Page de mise à jour des fiches
 *
 * @package		Maxcom
 * @category	View
 * @author		Maxcom Development Team
 * @link		
 */
?>
        <div id="content">
        <div id="page-heading">
        <?php if ($update) : ?>
        <h1>Modifier la fiche </h1>
        <?php else : ?>
       	<h1>Nouvelle fiche</h1>
        <?php endif ?>
            	</div>
                <table border="0" width="100%" cellpadding="0" cellspacing="0" id="content-table">
        	        <tr>
        		        <th rowspan="3" class="sized"><?php echo '<img src="'.base_url() ?>/styles/images/shared/side_shadowleft.jpg" width="20" height="300" alt="" /></th>
        		        <th class="topleft"></th>
        		        <td id="tbl-border-top">&nbsp;</td>
        		        <th class="topright"></th>
        		        <th rowspan="3" class="sized"><?php echo '<img src="'.base_url() ?>/styles/images/shared/side_shadowright.jpg" width="20" height="300" alt="" /></th>
        	        </tr>
        	        <tr>
        		        <td id="tbl-border-left"></td>
        		        <td>
        		        
        		        <!--  start content-table-inner -->
        		        <div id="content-table-inner">
        		        <?php if ( $error == "Image_upload" ) { ?>	
		   		        	<!--  start message-red -->
							<div id="message-red">
							<table border="0" width="100%" cellpadding="0" cellspacing="0">
							<tr>
								<td class="red-left">Erreur lors du chargement de l'image, veuillez réessayer</td>
								<td class="red-right"><a class="close-red"><?php echo '<img src="'.base_url() ?>/styles/images/table/icon_close_red.gif"   alt="" /></a></td>
							</tr>
							</table>
							</div>
						<?php } ?>
				
        		        <table border="0" width="100%" cellpadding="0" cellspacing="0">
        		        <tr valign="top">
        		        	<td>
        		        
        		        <!-- start id-form -->
						<?php echo form_open_multipart('sheetadmin/'.($update ? 'update/'.$sheet_id: 'add')); ?> 
        		        <table border="0" cellpadding="0" cellspacing="0"  id="id-form">
        				<tr>
                			<th valign="top">Titre:</th>                			
                			<td><input type="text" class="inp-form" name="name" value="<?php echo ($update ? $sheet_name : '');?>" required autofocus /></td>
        		        	<td><div class="bubble-left"></div>
                				<div class="bubble-inner">Ce nom sera lu lors de l'affichage de la fiche</div>
                				<div class="bubble-right"></div>
                			</td>
        		        </tr>
        		        <tr>
                			<th valign="top">Image:</th>
                			<td><?php if (!empty($sheet_image)) echo '<a href="'.base_url().'uploads/images/sheets/'.$sheet_image.'" class="view_image" title="'.$sheet_name.'"><img src="'.base_url().'/uploads/images/thumbnails/'.$sheet_image.'" alt="'.$sheet_name.'" title="'.$sheet_name.'"/></a>'; ?><br/>
        					<input type="file" name="image" /></td>
        		        	<td><div class="bubble-left"></div>
                				<div class="bubble-inner">Image au format .jpg, .png ou .gif</div>
                				<div class="bubble-right"></div>
                			</td>		        
                			</tr>
        		        <tr>
                			<th valign="top">Fiche principale?</th>
                			<td><input type="checkbox" name="favorite" <?php echo ($sheet_favorite == 1 ? 'checked="checked"': ''); ?>/></td>
        		        	<td></td>		        
        		        </tr>
        		        <tr>
                			<th valign="top">Statut:</th>
                			<td><select class="styledselect_form_1" name="status">
					            <?php switch ( $sheet_status) {
					            	case 0: ?>
					            		<option selected value="0">Non publiée</option>
					            		<option value="1">Publiée</option>
					            		<!-- <option value="2">Publiée et partagée</option> -->
					            <?php break; 
									case 1: ?>
										<option value="0">Non publiée</option>
										<option selected value="1">Publiée</option>
										<!-- <option value="2">Publiée et partagée</option> -->
								<?php break;
									case 2: ?>
										<option value="0">Non publiée</option>
										<option value="1">Publiée</option>
										<option selected value="2">Publiée et partagée</option>
								<?php break; 
					            } ?>
					        </select></td>
        		        	<td></td>
        		        </tr>
        		        <tr>
	        			<th valign="top">Importance:</th>
		        			<td><div id="slider"></div></td>
				        	<td><div class="bubble-left"></div>
				        	<input class="bubble-inner" type="text" id="note" name="note" style="border:0;" />
				        	<div class="bubble-right"></td>		        
			        	</tr>
        		        <tr>
        		        	<th valign="top">Catégorie:</th>
        			        <td>
        			        <select  class="styledselect_form_1" name="category" size="1">
        			        <?php foreach ($categories as $category) :
				                if ($category->id == $sheet_category) : ?>
				                <option selected value="<?php echo $category->id; ?>"><?php echo $category->name; ?></option>
				            <?php else: ?>
				                <option value="<?php echo $category->id; ?>"><?php echo $category->name; ?></option>
				            <?php endif;
				            endforeach; ?>
        			        </select>
        			        </td>
        		        	<td></td>
        		        </tr>
        		        <tr>
        		        	<th valign="top">Mots clef:</th>
        			        <td>
        			        <textarea id="tags" name="tags" class="example" rows="1" cols="40"></textarea>
        			        </td>
        		        	<td></td>
        		        </tr>
        		        <tr>
        			        <th>&nbsp;</th>
        			        <td valign="top">
        			        <input type="submit" value="<?php echo ($update ? 'Mettre a jour' : 'Ajouter'); ?>" class="button blue" />
        			        <input type="button" value="  Annuler  " onclick="<?= 'location.href=\''.base_url().index_page().'/sheetadmin\'' ?>" class="button white"  />
        			        </td>
        			        <td></td>
        		        </tr>					    
        
        		        <?php echo form_close() ?>
                </table>
                <!-- end id-form  -->
                
                	</td>
                <td>
                
                <!--  start related-activities -->
                	<div id="related-activities">
                
                <!--  start related-act-top -->
                <div id="related-act-top">
                À propos
                </div>
                <!-- end related-act-top -->
                
                <!--  start related-act-bottom -->
                <div id="related-act-bottom">
                
                <!--  start related-act-inner -->
        		<div id="related-act-inner">
        	
		        <div class="left"><a href=""><?php echo '<img src="'.base_url() ?>styles/images/forms/icon_plus.gif" width="21" height="21" alt="" /></a></div>
		        <div class="right">
		        <h5>Ajouter une fiche</h5>
		        Pour ajouter une fiche, penses à compléter toutes les infos.
		        </div>
		        
		        <div class="clear"></div>
		        <div class="lines-dotted-short"></div>
		        
		        <div class="left"><a href=""><?php echo '<img src="'.base_url() ?>styles/images/forms/icon_edit.gif" width="21" height="21" alt="" /></a></div>
		        <div class="right">
		        <h5>Images</h5>
		        Les images de type .jpg, .png et .gif sont autorisées.
		        </div>
		        <div class="clear"></div>
		        				
		        </div>
                <!-- end related-act-inner -->
                			<div class="clear"></div>
                
                		</div>
                <!-- end related-act-bottom -->
                
                </div>
                <!-- end related-activities -->
                
                </td>
                </tr>
                <tr>
                <td><?php echo '<img src="'.base_url() ?>styles/images/shared/blank.gif" width="695" height="1" alt="blank" /></td>
                <td></td>
                </tr>
                </table>
                
                <div class="clear"></div>
                
                
                </div>
                <!--  end content-table-inner  -->
                </td>
                <td id="tbl-border-right"></td>
                </tr>
                <tr>
                	<th class="sized bottomleft"></th>
                <td id="tbl-border-bottom">&nbsp;</td>
                <th class="sized bottomright"></th>
                </tr>
                </table>
        
                <div class="clear">&nbsp;</div>      


<script src="<?php echo base_url('scripts/jquery/jquery-1.7.1.min.js'); ?>" type="text/javascript"></script>
<script src="<?php echo base_url('scripts/jquery/jquery-ui-1.8.min.js'); ?>" type="text/javascript"></script>
<script type="text/javascript" src="<?php echo base_url('scripts/jquery/jQuery.textext.js'); ?>"></script>
<script type="text/javascript">
$(document).ready(function() {
	$("a.view_image").fancybox();
	$( "#slider" ).slider({
		value:<?php echo ($update ? $sheet_note : 5);?>,
		min: 0,
		max: 10,
		step: 1,
		slide: function( event, ui ) {
			$( "#note" ).val( ui.value );
		}
	});
	$( "#note" ).val( $( "#slider" ).slider( "value" ) );
	
	$('#tags')
	.textext({
		plugins: 'tags autocomplete ajax',
		tagsItems: <?php echo $tags; ?>,
		ajax : {
		        url : '<?php echo site_url('tags/get_all'); ?>',
		        dataType : 'json',
		        cacheResults : true
            }
	});
});
</script>
