<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes présentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * 
 *
 * Page de mise à jour des utilisateurs
 *
 * @package		Maxcom
 * @category	View
 * @author		Maxcom Development Team
 * @link		
 */

?>
        <div id="content">
        <div id="page-heading">
	        <?php if ($update) : ?>
	    	<h1>Modifier les données de l'utilisateur </h1>
	    	<?php else : ?>
	    	<h1>Nouvel utilisateur</h1>
	    	<?php endif ?>
	    	<?php if(isset($erreur)&&$erreur):?><!-- affichage si l'utilisateur exite -->
	    		<h1 class="erreur">Cet utilisateur existe; veuillez choisir un autre identifiant (login)</h1>
	    	<?php  endif?>
    	</div>
    	
    	
    	<script type="text/javascript">

			$(document).ready(function(){
			  $("#login").keyup(function(){
			  $.get('<?php echo site_url("useradmin/exist")."/"; ?>'+$("#login").val(), function(result){
					 if(result!=""){
						 $("div#loginE").html('<span style="color:#cc0000"><b>'+$("#login").val()+' :</b> ce login est deja pris</span>'); 
					 }else{
						 $("div#loginE").html('<span style="color:#1A7917"><b>'+$("#login").val()+' :</b> ce login est libre</span>'); 
					 }
			   });
			  });
			});
		</script>
    	
        <table border="0" width="100%" cellpadding="0" cellspacing="0" id="content-table">
	        <tr>
		        <th rowspan="3" class="sized"><?php echo '<img src="'.base_url() ?>/styles/images/shared/side_shadowleft.jpg" width="20" height="300" alt="" /></th>
		        <th class="topleft"></th>
		        <td id="tbl-border-top">&nbsp;</td>
		        <th class="topright"></th>
		        <th rowspan="3" class="sized"><?php echo '<img src="'.base_url() ?>/styles/images/shared/side_shadowright.jpg" width="20" height="300" alt="" /></th>
	        </tr>
	        <tr>
		        <td id="tbl-border-left"></td>
		        <td>
		        
		        <!--  start content-table-inner -->
		        <div id="content-table-inner">
		        <table border="0" width="100%" cellpadding="0" cellspacing="0">
		        <tr valign="top">
		        	<td>
		        
		        <!-- start id-form -->
		       	<?php //echo validation_errors(); ?>
		        <?php echo form_open('useradmin/'.($update ? 'update/'.$user_id: 'add/')) ?>
		        <table border="0" cellpadding="0" cellspacing="0"  id="id-form">
		        <!-- login-->
        		<?php if(form_error('login')!=""):?>
        		<tr>
        			<th valign="top"></th>
        			<td>
        			<div class="classerreur">
				        <div class="bubble-left"></div>
		        		<div class="bubble-inner erreur"><?php echo form_error('login'); ?></div>
		        		<div class="bubble-right"></div>
	        		</div>
	        		</td>
	        		<td></td>
	        	</tr>
	        	<?php endif;?>
				<tr>
        			<th valign="top">Login:</th>                                                   <!-- modification des condition d'affichage des contenus -->
        			<td>
        				<input type="text" class="inp-form" name="login" id="login" maxlength="32" value="<?php echo (($user_login!='') ? $user_login : '');?>" required autofocus placeholder="Login" <?php echo ($user_role == 'utilisateur' ? 'readonly' : ''); ?>/>
        				<div id="loginE"></div>
        			</td>
		        	<td>
		        		<div class="bubble-left"></div>
        				<div class="bubble-inner">Nom d'utilisateur</div>
        				<div class="bubble-right"></div>
        				
        			</td>
		        </tr>
		        <!-- longeur mot de passe -->
        		<?php if(form_error('password')!=""):?>
        		<tr>
        			<th valign="top"></th>
        			<td>
        			<div class="classerreur">
				        <div class="bubble-left"></div>
		        		<div class="bubble-inner erreur"><?php echo form_error('password'); ?></div>
		        		<div class="bubble-right"></div>
	        		</div>
	        		</td>
	        		<td></td>
	        	</tr>
	        	<?php endif;?>
		        <tr>
        			<th valign="top">Mot de passe:</th>
        			<td>
        				<input type="password" class="inp-form" name="password" maxlength="32" id="chp1" placeholder="**********"/>
        			</td>
		        	<td>
		        		
		        		<div class="bubble-left password"></div>
        				<div class="bubble-inner password">Longueur minimum: 6 caractères</div>
        				<div class="bubble-right password"></div>
        				
        				
        				<div class="bubble-left lengtherreur"></div>
        				<div class="bubble-inner lengtherreur">Le mot de passe doit avoir au minimum 6 caractères</div>
        				<div class="bubble-right lengtherreur"></div>
 
        			</td>		        
        		</tr>
        		<!-- confirmation -->
        		<?php if(form_error('confirmpass')!=""):?>
	        		<tr>
	        			<th valign="top"></th>
	        			<td>
		        			<div class="classerreur">
						        <div class="bubble-left"></div>
				        		<div class="bubble-inner erreur"><?php echo form_error('confirmpass'); ?></div>
				        		<div class="bubble-right"></div>
			        		</div>
		        		</td>
		        		<td></td>
		        	</tr>
	        	<?php endif;?>
		        <tr>
        			<th valign="top">Confirmez:</th>
        			<td>
        				<input type="password" class="inp-form" name="confirmpass" maxlength="32" id="verif1" placeholder="**********"/>
        			</td>
		        	<td>

		        		<div class="bubble-left passworderreur"></div>
        				<div class="bubble-inner passworderreur">Le mot de passe est incorrecte</div>
        				<div class="bubble-right passworderreur"></div>
        				
		        		<div class="bubble-left passwordrepeat"></div>
        				<div class="bubble-inner passwordrepeat">Réécrivez votre mot de passe ici</div>
        				<div class="bubble-right passwordrepeat"></div>
        			</td>		        
		        </tr>
		        <tr>
        			<th valign="top">Prénom:</th>
        			<td><input type="text" class="inp-form" name="firstname" value="<?php echo (($user_firstname!='') ? $user_firstname : ''); ?>" required placeholder="Votre prénom" <?php echo ($user_role == 'utilisateur' ? 'readonly' : ''); ?>/></td>
		        	<td></td>
		        </tr>
		        <tr>
        			<th valign="top">Nom:</th>
        			<td><input type="text" class="inp-form" name="lastname" value="<?php echo (($user_lastname!='') ? $user_lastname : ''); ?>" required placeholder="Votre nom" <?php echo ($user_role == 'utilisateur' ? 'readonly' : ''); ?>/></td>
		        	<td></td>
		        </tr>
		         <!-- validation email -->
        		<?php if(form_error('mail')!=""):?>
		        	<tr>
		        		<th valign="top"></th>	
		        		<td>
	        				<div class="classerreur">
				        		<div class="bubble-left"></div>
		        				<div class="bubble-inner erreur"><?php echo form_error('mail'); ?></div>
		        				<div class="bubble-right"></div>
		        			</div>
		        		</td>
		        		<td></td>	        			
		        	</tr>
		        <?php endif;?>
		        <tr>
        			<th valign="top">Adresse mail:</th>
        			<td>
        				<input type="mail" class="inp-form" id="mail" name="mail" value="<?php echo (($user_mail!='') ? $user_mail : ''); ?>" required placeholder="Votre email"  <?php echo ($user_role == 'utilisateur' ? 'readonly' : ''); ?>/>       				
        			</td>
		        	<td>
		        		<div class="bubble-left mailerreur"></div>
        				<div class="bubble-inner mailerreur">Votre email est mal formé</div>
        				<div class="bubble-right mailerreur"></div>
        				
		        	</td>
		        </tr>
		        <tr>
		        	<th valign="top">Rôle de l'utilisateur:</th>
			        <td>
			        <?php if(($this->session->userdata('user_space_role') == 'administrateur') && (($this->session->userdata('user_id') != $user_id) || !$update) ) { ?>
				        <select  class="styledselect_form_1" name="rights" size="1">	
				       	<?php if ($user_role == 'administrateur') { ?>
						<option value="redacteur">Rédacteur</option>
						<option selected value="administrateur">Administrateur</option>
				        <?php } elseif ($user_role == 'redacteur') { ?>
						<option selected value="redacteur">Rédacteur</option>
						<option value="administrateur">Administrateur</option>
					<?php } elseif ($user_role == 'utilisateur') { ?>
						<input type="hidden" class="inp-form" name="rights" value="utilisateur" readonly />
				        <?php } else{ ?>
						<option value="redacteur">Rédacteur</option>
						<option value="administrateur">Administrateur</option>
							<?php } ?>
					<?php } else { ?>
				       		<input type="text" class="inp-form" name="rights" value="<?php echo $user_role; ?>" readonly />
					<?php } ?>
			        </select>
			        </td>
		        	<td></td>
		        </tr>
		        <tr>
        			<th valign="top">Description:</th>
        			<td><textarea rows cols class="form-textarea" name="description" placeholder="Donnez nous plus d'infos à votre sujet!" required <?php echo ($user_role == 'utilisateur' ? 'readonly' : ''); ?>><?php echo (($user_description!='') ? $user_description : ''); ?></textarea>
        			</td>
		        	<td></td>
		        </tr>
		        <tr>
			        <th>&nbsp;</th>
			        <td valign="top">
			        <input type="submit" value="<?php echo ($update ? 'Mettre a jour' : 'Ajouter'); ?>" class="button blue" />
			        <input type="button" value="  Annuler  " onclick="<?= 'location.href=\''.base_url().index_page().'/useradmin\'' ?>" class="button white"  />
			        </td>
			        <td></td>
		        </tr>					    

		        <?php echo form_close() ?>
        </table>
        <!-- end id-form  -->
        
        	</td>
        <td>
        
        <!--  start related-activities -->
        	<div id="related-activities">
        
        <!--  start related-act-top -->
        <div id="related-act-top">
        À propos
        </div>
        <!-- end related-act-top -->
        
        <!--  start related-act-bottom -->
        <div id="related-act-bottom">
        
        <!--  start related-act-inner -->
        			<div id="related-act-inner">
        	
        <div class="left"><a href=""><?php echo '<img src="'.base_url() ?>styles/images/forms/icon_plus.gif" width="21" height="21" alt="" /></a></div>
        				<div class="right">
        <h5>Ajouter un utilisateur</h5>
        Pour ajouter un utilisateur, penses à compléter toutes les infos.
        <ul class="greyarrow">
	        <li><u>Login:</u> Il sera utilisé pour se connecter</li>
	        <li><u>Mot de passe:</u> Nous te conseillons un mot de passe de 
	        8 caractères minimum</li>
        </ul>
        </div>
        
        <div class="clear"></div>
        <div class="lines-dotted-short"></div>
        
        <div class="left"><a href=""><?php echo '<img src="'.base_url() ?>styles/images/forms/icon_edit.gif" width="21" height="21" alt="" /></a></div>
        <div class="right">
        <h5>Modifier le mot de passe</h5>
        Pour modifier un mot de passe, tapes le dans le champ "Mot de passe" puis confirmes le 
        en le retapant dans le champs "Confirmez" (si aucun mot de passe n'est renseigné, il ne 
        sera pas mis à jour)
        </div>
        
        <div class="clear"></div>
        				<div class="lines-dotted-short"></div>
        				
        <div class="left"><a href=""><?php echo '<img src="'.base_url() ?>styles/images/forms/icon_edit.gif" width="21" height="21" alt="" /></a></div>
        <div class="right">
        <h5>Rôles:</h5>
        <ul class="greyarrow">
	        <li><u>Administrateur:</u> A tous les droits sur l'espace Max'Com</li>
	        <li><u>Rédacteur:</u> Ne peut modifier que ses propres fiches</li>
	        <li><u>Utilisateur:</u> Peut uniquement accéder à l'espace pour consultation</li>
        </ul>
        </div>
        <div class="clear"></div>
        				
        </div>
        <!-- end related-act-inner -->
        			<div class="clear"></div>
        
        		</div>
        <!-- end related-act-bottom -->
        
        </div>
        <!-- end related-activities -->
        
        </td>
        </tr>
        <tr>
        <td><?php echo '<img src="'.base_url() ?>styles/images/shared/blank.gif" width="695" height="1" alt="blank" /></td>
        <td></td>
        </tr>
        </table>
        
        <div class="clear"></div>
        
        
        </div>
        <!--  end content-table-inner  -->
        </td>
        <td id="tbl-border-right"></td>
        </tr>
        <tr>
        	<th class="sized bottomleft"></th>
        <td id="tbl-border-bottom">&nbsp;</td>
        <th class="sized bottomright"></th>
        </tr>
        </table>

        <div class="clear">&nbsp;</div>
