<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes présentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * 
 *
 * Page de login
 *
 * @package		Maxcom
 * @category	View
 * @author		Maxcom Development Team
 * @link		
 */

?>

<body id="login-bg"> 

<!-- Start: login-holder -->
<div id="login-holder">

	<!-- start logo -->
	<div id="logo-login">
		<img src="<?= base_url('styles/images/shared/maxcom.png') ?>" width="150" height="77" alt="logo-maxcom" />
	</div>
	<!-- end logo -->
	
	<div class="clear"></div>
	
	<!--  start loginbox ................................................................................. -->
	<div id="loginbox">
	<!--  start login-inner -->
<?php echo form_open('login/check') ?>
	<div id="login-inner">
		<table border="0" cellpadding="0" cellspacing="0">
		<tr>
			<th>Login</th>
			<td><input type="text"  class="login-inp" name="login" required autofocus /></td>
		</tr>
		<tr>
			<th>Mot de passe</th>
			<td><input type="password" class="login-inp" name="password" required /></td>
		</tr>
		<tr>
			<th></th>
			<td valign="top"><input type="checkbox" class="checkbox-size" id="login-check" name="sessioncheck" /><label for="login-check">Mémoriser</label></td>
		</tr>
		<tr>
			<th></th>
			<td><button type="submit" class="button blue">Valider</button></td>
		</tr>
		</table>
	</div>
 	<!--  end login-inner -->
	<div class="clear"></div>
	<a class="contact-register" href="<?php echo base_url().index_page().'/register'?>">Créer un compte</a>
	<a href="" class="forgot-pwd">Mot de passe oublié?</a> 
 </div>
 <?php echo $error; ?>

 <!--  end loginbox -->
<?php echo form_close() ?>
 
	<!--  start forgotbox ................................................................................... -->
	<?php echo form_open('login/newpassword') ?>
	 <?php if(isset($message_ok)){
 	echo $message_ok;
 }?>
	<div id="forgotbox">
		<div id="forgotbox-text">Veuillez indiquer votre adresse mail pour recevoir votre mot de passe</div>
		<!--  start forgot-inner -->
		<div id="forgot-inner">
		<table border="0" cellpadding="0" cellspacing="0">
		<tr>
			<th>Login</th>
			<td><input type="text" name="login" id="login" value=""   class="login-inp" /></td>
		</tr>
		<tr>
			<th> </th>
			<td><button class="button blue">Valider</button></td>
		</tr>
		</table>
		</div>
		<?php echo form_close() ?>
		<!--  end forgot-inner -->
		<div class="clear"></div>
		<a href="" class="back-login">Revenir au login</a>
	</div>
	<!--  end forgotbox -->

</div> 

<script src="<?= base_url('scripts/login.js') ?>" type="text/javascript"></script>
