<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes présentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * 
 *
 * Page principale de gestion des categories
 *
 * @package		Maxcom
 * @category	View
 * @author		Maxcom Development Team
 * @link		
 */
?>
<div id="content">
<table border="0" width="100%" cellpadding="0" cellspacing="0" id="content-table">
<div id="page-heading">
	<?php if ($action == 'search') : ?>
		<h1>Résultats de recherche pour "<?php echo $keyword; ?>": </h1>
	<?php endif ?>
</div>

<tr>
<th rowspan="3" class="sized"><?php echo '<img src="'.base_url() ?>/styles/images/shared/side_shadowleft.jpg" width="20" height="300" alt="" /></th>
		<th class="topleft"></th>
		<td id="tbl-border-top">&nbsp;</td>
		<th class="topright"></th>
		<th rowspan="3" class="sized"><?php echo '<img src="'.base_url() ?>/styles/images/shared/side_shadowright.jpg" width="20" height="300" alt="" /></th>
	</tr>
	<tr>
		<td id="tbl-border-left"></td>
		<td>
		<!--  start content-table-inner ...................................................................... START -->
		<div id="content-table-inner">
		
			<!--  start table-content  -->
			<div id="table-content">		 
				<!--  start product-table ..................................................................................... -->

<table width="100%" cellpadding="0" cellspacing="0" id="product-table">
<?php if ( ! empty($categories) ) : ?>
<thead>
<tr>
	<th>Image</th>
	<th>Nom</th>
	<th>Catégorie parent</th>
	<th>Nombre de fiches</th>
	<th>Priorité</th>
	<th>Actions</th>
	
</tr>
</thead>
<tbody>
<?php foreach ( $categories as $category ) : ?>
<tr>
	<td><?php echo '<a href="'.base_url().'uploads/images/categories/'.$category->image.'" class="view_image" title="'.$category->name.'"><img src="'.base_url().'/uploads/images/thumbnails/'.$category->image.'" alt="'.$category->name.'" title="'.$category->name.'"/></a>'; ?></td>
	<td><a href="<?php echo base_url().index_page().'/sheetadmin/categoryfilter/'.$category->id; ?>" class="info-tooltip" title="Voir les fiches de la catégorie <?php echo $category->name; ?>"><?php echo ucwords($category->name); ?></a></td>
	<td><?php echo $this->category->get_name($category->parent_id); ?></td>
	<td><?php echo $this->sheet->get_number_incategory($category->id); ?></td>
	<td><?php echo $category->rank; ?></td>
	<td>
		<?php if ($this->session->userdata('user_space_role') == "administrateur"
		|| $this->session->userdata('user_space_role') == "redacteur" 
		&& $this->session->userdata('user_id') == $category->author_id) { ?>
		<a href="<?php echo base_url().index_page().'/categoryadmin/ui_update/'.$category->id; ?>" title="Modifier" class="icon-1 info-tooltip"></a>
		<a href="<?php echo base_url().index_page().'/categoryadmin/delete/'.$category->id; ?>" onclick="return confirm('Êtes-vous sûr(e) de vouloir supprimer cette catégorie ?');" title="Supprimer" class="icon-2 info-tooltip"></a>
		<?php } ?>
	</td>
</tr>
<?php endforeach; ?>
</tbody>
<?php elseif ($action == 'search') : ?>
<p>Pas de résultats pour la recherche sur cette catégorie...</p>
<?php else : ?>
<p>Aucune catégorie n'est définie dans l'application, cliquez sur ce lien pour <a href="<?php echo site_url('categoryadmin/ui_add')?>"><u>ajouter une nouvelle catégorie</u></a>.</p>
<?php endif; ?>
</table>
				<!--  end product-table................................... --> 

			</div>
			<!--  end content-table  -->
			
			<div class="clear"></div>
		 
		</div>
		<!--  end content-table-inner ............................................END  -->
		</td>
		<td id="tbl-border-right"></td>
	</tr>
	<tr>
		<th class="sized bottomleft"></th>
		<td id="tbl-border-bottom">&nbsp;</td>
		<th class="sized bottomright"></th>
</tr>

</table>
</div>
<!--  end content -->
<div class="clear"></div>
</div>
<!--  end content-outer -->  

<script type="text/javascript" src="<?php echo base_url('scripts/jquery/jquery.dataTables.min.js')?>"></script>
<script type="text/javascript" src="<?php echo base_url('scripts/main-category.js') ?>"></script>
