<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * Menu Principal
 *
 *
 * @package		Maxcom
 * @category	View
 * @author		Maxcom Development Team
 * @link				
 */
if ($this->session->userdata('user_space_role') == "utilisateur") {
	redirect('home', 'refresh');
}
?>

<?php if (!empty($user_space_role)) { ?>
<!-- Start: page-top-outer -->
<div id="page-top-outer">    

<!-- Start: page-top -->
<div id="page-top">

	<!-- start logo -->
	<div id="logo">
	<a href="<?php echo base_url().index_page() ?>"><img src="<? echo base_url(); ?>styles/images/shared/maxcom.png" width="150" height="77" alt="" /></a>
	</div>
	<!-- end logo -->
	<div id="right_infos">
		<div id="welcome_message">Bienvenue dans l'espace de <?php echo $this->session->userdata('user_space_name'); ?></div>
		<!--  start top-search -->
		<div id="top-search">
		<?php echo form_open('search'); ?>
			<table border="0" cellpadding="0" cellspacing="0">
			<tr>
				<td><input name="keyword" type="text" class="top-search-inp" placeholder="Rechercher" /></td>
				<td>
				<select name="base" class="styledselect">
					<option value="sheet">Fiches</option>
					<option value="category">Catégories</option>
					<option value="user">Utilisateurs</option>
				</select> 
				 
				</td>
				<td>
					<button value="" class="button blue">Rechercher</button>
				</td>
			</tr>
			</table>
		<?php echo form_close(); ?>
		</div>
	</div>
 	<!--  end top-search -->
 	<div class="clear"></div>

</div>
<!-- End: page-top -->

</div>
<!-- End: page-top-outer -->
	
<div class="clear">&nbsp;</div>

<!--  start nav-outer-repeat................................................................................................. START -->
<div class="nav-outer-repeat"> 
<!--  start nav-outer -->
<div class="nav-outer"> 

		<!-- start nav-right -->
		<div id="nav-right">
			<div class="nav-divider">&nbsp;</div>
			<div class="showhide-account"><a href="<?php echo base_url().index_page().'/useradmin/infos/'.$this->session->userdata('user_id'); ?>" class='iframe'><img src="<?= base_url() ?>styles/images/shared/nav/myaccount.png" width="14" height="14" alt="" /><span><?php echo $this->session->userdata('user_name'); ?></span></a></div>
			<div class="nav-divider">&nbsp;</div>
			<a href="<?php echo base_url().index_page().'/login/kill/'?>" id="logout"><img src="<?= base_url() ?>styles/images/shared/nav/logout.png" width="14" height="14" alt="" /><span>Logout</span></a>
			<div class="clear">&nbsp;</div>		
		</div>
		<!-- end nav-right -->

	
		<!--  start nav -->
		<div class="nav">
		<div class="table">
		
		<ul id="home" class="select">
			<li><a href="<?php echo base_url().index_page().'/admin/'?>"><b>Accueil</b><!--[if IE 7]><!--></a><!--<![endif]-->
			<!--[if lte IE 6]><table><tr><td><![endif]-->
			<div id="sub_home" class="select_sub">
				<ul class="sub">
					<li><a href="#nogo"></a></li>
				</ul>
			</div>
			<!--[if lte IE 6]></td></tr></table></a><![endif]-->
			</li>
		</ul>
		
		<div class="nav-divider">&nbsp;</div>
		                    
		<ul id="category" class="select">
			<li><a href="<?php echo base_url().index_page().'/categoryadmin/'?>"><b>Catégories</b><!--[if IE 7]><!--></a><!--<![endif]-->
			<!--[if lte IE 6]><table><tr><td><![endif]-->
			<div id="sub_category" class="select_sub">
				<ul class="sub">
					<li id="all_category" ><a href="<?php echo base_url().index_page().'/categoryadmin/'?>"><img src="<?php echo base_url() ?>/styles/images/shared/nav/categories.png">Toutes les catégories</a></li>
					<li id="add_category" ><a href="<?php echo base_url().index_page().'/categoryadmin/ui_add/'?>"><img src="<?php echo base_url() ?>/styles/images/shared/nav/add.png">Ajouter une catégorie</a></li>
				</ul>
			</div>
			<!--[if lte IE 6]></td></tr></table></a><![endif]-->
			</li>
		</ul>
		
		<div class="nav-divider">&nbsp;</div>
		
		<ul id="sheet" class="select">
			<li><a href="<?php echo base_url().index_page().'/sheetadmin/'?>"><b>Fiches</b><!--[if IE 7]><!--></a><!--<![endif]-->
			<!--[if lte IE 6]><table><tr><td><![endif]-->
			<div id="sub_sheet" class="select_sub">
				<ul class="sub">
					<li id="all_sheet" ><a href="<?php echo base_url().index_page().'/sheetadmin/'?>"><img src="<?php echo base_url() ?>/styles/images/shared/nav/sheets.png">Toutes les fiches</a></li>
					<li id="add_sheet" ><a href="<?php echo base_url().index_page().'/sheetadmin/ui_add/'?>"><img src="<?php echo base_url() ?>/styles/images/shared/nav/add.png">Ajouter une fiche</a></li>
				</ul>
			</div>
			<!--[if lte IE 6]></td></tr></table></a><![endif]-->
			</li>
		</ul>
		
		<div class="nav-divider">&nbsp;</div>
		
		<ul id="user" class="select">
			<li><a href="<?php echo base_url().index_page().'/useradmin/'?>"><b>Utilisateurs</b><!--[if IE 7]><!--></a><!--<![endif]-->
			<!--[if lte IE 6]><table><tr><td><![endif]-->
			<div id="sub_user" class="select_sub">
				<ul class="sub">
					<li id="all_user" ><a href="<?php echo base_url().index_page().'/useradmin/'?>"><img src="<?php echo base_url() ?>/styles/images/shared/nav/users.png">Tous les utilisateurs</a></li>
					<?php if($this->session->userdata('user_space_role') == 'administrateur') { ?>
					<li id="add_user" ><a href="<?php echo base_url().index_page().'/useradmin/ui_add/'?>"><img src="<?php echo base_url() ?>/styles/images/shared/nav/add.png">Nouvel utilisateur</a></li>
				 	<?php } ?>
				</ul>
			</div>
			<!--[if lte IE 6]></td></tr></table></a><![endif]-->
			</li>
		</ul>

		<div class="nav-divider">&nbsp;</div>
		
		<ul id="mobile" class="select">
			<li><a href="<?php echo base_url().index_page().'/mobile/'?>"><b>Mobile</b><!--[if IE 7]><!--></a><!--<![endif]-->
			<!--[if lte IE 6]><table><tr><td><![endif]-->
			<div id="sub_mobile" class="select_sub">
				<ul class="sub">
					<li id="howto" ><a href="<?php echo site_url('/mobile/'); ?>"><img src="<?php echo base_url('/styles/images/shared/nav/idea.png'); ?>">Configuration</a></li>
					<li id="statistics" ><a href="<?php echo site_url('/mobile/loggingadmin/'); ?>"><img src="<?php echo base_url('/styles/images/shared/nav/stats.png') ?>">Rapports des erreurs</a></li>
				</ul>
			</div>
			<!--[if lte IE 6]></td></tr></table></a><![endif]-->
			</li>
		</ul>
		
		<div class="clear"></div>
		</div>
		<div class="clear"></div>
		</div>
		<!--  start nav -->

</div>
<div class="clear"></div>
<!--  start nav-outer -->
</div>
<!--  start nav-outer-repeat................................................... END -->
 
<div class="clear"></div>

<!-- start content-outer -->
<div id="content-outer">
<!-- start content -->

<?php 
}
?>

<script src="<?php echo base_url('scripts/menu.js') ?>" type="text/javascript"></script>
